- Main Page
- Classes
- Files
- Directories
- Examples

- File List
- File Members

Classes | Defines | Functions

# fbxtime.h File Reference

`#include <fbxsdk/fbxsdk_def.h>`
`#include <fbxsdk/core/base/fbxtimecode.h>`
`#include <fbxsdk/fbxsdk_nsbegin.h>`
`#include <fbxsdk/fbxsdk_nsend.h>`

Go to the source code of this file.

## Classes
class | FbxTime
| Class to encapsulate time units. More...
class | FbxTimeSpan
| Class to encapsulate time intervals. More...
class | FbxLocalTime
## Defines
#define | FBXSDK_TIME_INFINITE FbxTime(FBXSDK_TC_INFINITY)
#define | FBXSDK_TIME_MINUS_INFINITE FbxTime(FBXSDK_TC_MINFINITY)
#define | FBXSDK_TIME_ZERO FbxTime(FBXSDK_TC_ZERO)
#define | FBXSDK_TIME_EPSILON FbxTime(FBXSDK_TC_EPSILON)
#define | FBXSDK_TIME_ONE_SECOND FbxTime(FBXSDK_TC_SECOND)
#define | FBXSDK_TIME_ASSERT_EPSILON 0.5
#define | FBXSDK_TIME_FORWARD 1
#define | FBXSDK_TIME_BACKWARD -1
## Functions
FBXSDK_DLL FbxTime | FbxTimeSeconds (const FbxDouble &pTime=0.0)
| FbxTime in seconds constructor.
FBXSDK_DLL void | FbxGetCurrentLocalTime (FbxLocalTime &pLocalTime)
FBXSDK_DLL FbxTime::EMode | FbxGetGlobalTimeMode ()
FBXSDK_DLL FbxTimeModeObject * | FbxGetGlobalTimeModeObject ()
FBXSDK_DLL FbxTime::EProtocol | FbxGetGlobalTimeFormat ()
FBXSDK_DLL void | FbxSetGlobalTimeMode (FbxTime::EMode pTimeMode, double pFrameRate=0.0)
FBXSDK_DLL void | FbxSetGlobalTimeFormat (FbxTime::EProtocol pTimeFormat)
FBXSDK_DLL FbxTime::EOldMode | FbxGetOldTimeModeCorrespondance (FbxTime::EMode pMode)
FBXSDK_DLL FbxTime::EMode | FbxGetTimeModeFromOldValue (FbxTime::EOldMode pOldMode)
FBXSDK_DLL FbxTime::EMode | FbxGetTimeModeFromFrameRate (char *pFrameRate)
FBXSDK_DLL void | FbxGetControlStringList (char *pControlString, FbxTime::EProtocol pTimeFormat)
FBXSDK_DLL const char * | FbxGetGlobalFrameRateString (FbxTime::EMode pTimeMode)
FBXSDK_DLL const char * | FbxGetGlobalTimeModeString (FbxTime::EMode pTimeMode)
FBXSDK_DLL double | FbxGetFrameRate (FbxTime::EMode pTimeMode)
FBXSDK_DLL FbxTime::EProtocol | FbxSelectionToTimeFormat (int pSelection)
FBXSDK_DLL FbxTime::EMode | FbxSelectionToTimeMode (int pSelection)
FBXSDK_DLL int | FbxTimeToSelection (FbxTime::EMode pTimeMode=FbxTime::eDefaultMode, int pTimeFormat=FbxTime::eDefaultProtocol)
FBXSDK_DLL const char * | FbxGetTimeModeName (FbxTime::EMode pTimeMode)
FBXSDK_DLL int | FbxGetFrameRateStringListIndex (FbxTime::EMode pTimeMode)
FBXSDK_DLL bool | FbxIsValidCustomFrameRate (double pFramerate)
FBXSDK_DLL bool | FbxGetNearestCustomFrameRate (double pFramerate, double &pNearestRate)

## Detailed Description

Definition in file fbxtime.h.

## Define Documentation

#define FBXSDK_TIME_INFINITE FbxTime(FBXSDK_TC_INFINITY)

Search for all occurrences

Examples:
  ViewScene/SceneContext.cxx.

Definition at line 22 of file fbxtime.h.

#define FBXSDK_TIME_MINUS_INFINITE FbxTime(FBXSDK_TC_MINFINITY)

Search for all occurrences

Examples:
  ViewScene/SceneContext.cxx.

Definition at line 23 of file fbxtime.h.

#define FBXSDK_TIME_ZERO FbxTime(FBXSDK_TC_ZERO)

Search for all occurrences

Examples:
  ExportScene03/main.cxx, and ImportScene/DisplayPose.cxx.

Definition at line 24 of file fbxtime.h.

#define FBXSDK_TIME_EPSILON FbxTime(FBXSDK_TC_EPSILON)

Search for all occurrences

Definition at line 25 of file fbxtime.h.

#define FBXSDK_TIME_ONE_SECOND FbxTime(FBXSDK_TC_SECOND)

Search for all occurrences

Examples:
  Animation/main.cxx.

Definition at line 26 of file fbxtime.h.

#define FBXSDK_TIME_ASSERT_EPSILON 0.5

Search for all occurrences

Definition at line 27 of file fbxtime.h.

#define FBXSDK_TIME_FORWARD 1

Search for all occurrences

Definition at line 28 of file fbxtime.h.

#define FBXSDK_TIME_BACKWARD -1

Search for all occurrences

Definition at line 29 of file fbxtime.h.

## Function Documentation

FBXSDK_DLL FbxTime FbxTimeSeconds | ( | const FbxDouble & | pTime = `0.0` | ) | `[inline]`

Search for all occurrences

FbxTime in seconds constructor.

Parameters:

  pTime |

Definition at line 495 of file fbxtime.h.

    {
        FbxTime lTime;
        lTime.SetSecondDouble(pTime);
        return lTime;
    }

FBXSDK_DLL void FbxGetCurrentLocalTime | ( | FbxLocalTime & | pLocalTime | ) |

Search for all occurrences

FBXSDK_DLL FbxTime::EMode FbxGetGlobalTimeMode | ( |  | ) |

Search for all occurrences

FBXSDK_DLL FbxTimeModeObject* FbxGetGlobalTimeModeObject | ( |  | ) |

Search for all occurrences

FBXSDK_DLL FbxTime::EProtocol FbxGetGlobalTimeFormat | ( |  | ) |

Search for all occurrences

FBXSDK_DLL void FbxSetGlobalTimeMode | ( | FbxTime::EMode | pTimeMode,
|  | double | pFrameRate = `0.0`
| ) |  |

Search for all occurrences

FBXSDK_DLL void FbxSetGlobalTimeFormat | ( | FbxTime::EProtocol | pTimeFormat | ) |

Search for all occurrences

FBXSDK_DLL FbxTime::EOldMode FbxGetOldTimeModeCorrespondance | ( | FbxTime::EMode | pMode | ) |

Search for all occurrences

FBXSDK_DLL FbxTime::EMode FbxGetTimeModeFromOldValue | ( | FbxTime::EOldMode | pOldMode | ) |

Search for all occurrences

FBXSDK_DLL FbxTime::EMode FbxGetTimeModeFromFrameRate | ( | char * | pFrameRate | ) |

Search for all occurrences

FBXSDK_DLL void FbxGetControlStringList | ( | char * | pControlString,
|  | FbxTime::EProtocol | pTimeFormat
| ) |  |

Search for all occurrences

FBXSDK_DLL const char* FbxGetGlobalFrameRateString | ( | FbxTime::EMode | pTimeMode | ) |

Search for all occurrences

FBXSDK_DLL const char* FbxGetGlobalTimeModeString | ( | FbxTime::EMode | pTimeMode | ) |

Search for all occurrences

FBXSDK_DLL double FbxGetFrameRate | ( | FbxTime::EMode | pTimeMode | ) |

Search for all occurrences

FBXSDK_DLL FbxTime::EProtocol FbxSelectionToTimeFormat | ( | int | pSelection | ) |

Search for all occurrences

FBXSDK_DLL FbxTime::EMode FbxSelectionToTimeMode | ( | int | pSelection | ) |

Search for all occurrences

FBXSDK_DLL int FbxTimeToSelection | ( | FbxTime::EMode | pTimeMode = `FbxTime::eDefaultMode`,
|  | int | pTimeFormat = `FbxTime::eDefaultProtocol`
| ) |  |

Search for all occurrences

FBXSDK_DLL const char* FbxGetTimeModeName | ( | FbxTime::EMode | pTimeMode | ) |

Search for all occurrences

Examples:
  ImportScene/DisplayGlobalSettings.cxx.

FBXSDK_DLL int FbxGetFrameRateStringListIndex | ( | FbxTime::EMode | pTimeMode | ) |

Search for all occurrences

FBXSDK_DLL bool FbxIsValidCustomFrameRate | ( | double | pFramerate | ) |

Search for all occurrences

FBXSDK_DLL bool FbxGetNearestCustomFrameRate | ( | double | pFramerate,
|  | double & | pNearestRate
| ) |  |

Search for all occurrences